com.lowagie.text.pdf

## Class SequenceList

- java.lang.Object
- - com.lowagie.text.pdf.SequenceList

-     public class SequenceList
      extends java.lang.Object

  This class expands a string into a list of numbers. The main use is to select a range of pages.

  The general syntax is:
  [!][o][odd][e][even]start-end

  You can have multiple ranges separated by commas ','. The '!' modifier removes the range from what is already selected. The range changes are incremental, that is, numbers are added or deleted as the range appears. The start or the end, but not both, can be omitted.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `COMMA`
    `private static int` | `DIGIT`
    `private static int` | `DIGIT2`
    `protected static int` | `END`
    `protected static char` | `EOT`
    `protected boolean` | `even`
    `private static int` | `FIRST`
    `protected int` | `high`
    `protected boolean` | `inverse`
    `protected int` | `low`
    `protected static int` | `MINUS`
    `protected static int` | `NOT`
    `private static java.lang.String` | `NOT_OTHER`
    `protected int` | `number`
    `protected static int` | `NUMBER`
    `protected boolean` | `odd`
    `protected java.lang.String` | `other`
    `private static int` | `OTHER`
    `protected int` | `ptr`
    `protected char[]` | `text`
    `protected static int` | `TEXT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SequenceList(java.lang.String range)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List` | `expand(java.lang.String ranges, int maxNumber)` Generates a list of numbers from a string.
    `protected boolean` | `getAttributes()`
    `protected int` | `getType()`
    `protected char` | `nextChar()`
    `private void` | `otherProc()`
    `protected void` | `putBack()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMMA

          protected static final int COMMA

      See Also:
        Constant Field Values

    - #### MINUS

          protected static final int MINUS

      See Also:
        Constant Field Values

    - #### NOT

          protected static final int NOT

      See Also:
        Constant Field Values

    - #### TEXT

          protected static final int TEXT

      See Also:
        Constant Field Values

    - #### NUMBER

          protected static final int NUMBER

      See Also:
        Constant Field Values

    - #### END

          protected static final int END

      See Also:
        Constant Field Values

    - #### EOT

          protected static final char EOT

      See Also:
        Constant Field Values

    - #### FIRST

          private static final int FIRST

      See Also:
        Constant Field Values

    - #### DIGIT

          private static final int DIGIT

      See Also:
        Constant Field Values

    - #### OTHER

          private static final int OTHER

      See Also:
        Constant Field Values

    - #### DIGIT2

          private static final int DIGIT2

      See Also:
        Constant Field Values

    - #### NOT_OTHER

          private static final java.lang.String NOT_OTHER

      See Also:
        Constant Field Values

    - #### text

          protected char[] text

    - #### ptr

          protected int ptr

    - #### number

          protected int number

    - #### other

          protected java.lang.String other

    - #### low

          protected int low

    - #### high

          protected int high

    - #### odd

          protected boolean odd

    - #### even

          protected boolean even

    - #### inverse

          protected boolean inverse

  - ### Constructor Detail

    - #### SequenceList

          protected SequenceList(java.lang.String range)

  - ### Method Detail

    - #### nextChar

          protected char nextChar()

    - #### putBack

          protected void putBack()

    - #### getType

          protected int getType()

    - #### otherProc

          private void otherProc()

    - #### getAttributes

          protected boolean getAttributes()

    - #### expand

          public static java.util.List expand(java.lang.String ranges,
                              int maxNumber)

      Generates a list of numbers from a string.
      Parameters:
        `ranges` - the comma separated ranges
        `maxNumber` - the maximum number in the range
      Returns:
        a list with the numbers as `Integer`